Issue1527

classification
Title: JVM crash
Type: crash Severity: normal
Components: Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: nriley, pjenvey, ssteiner, tercero12
Priority: Keywords:

Created on 2009-12-18.10:02:19 by ssteiner, last changed 2010-04-04.19:07:54 by pjenvey.

Messages
msg5387 (view) Author: simon steiner (ssteiner) Date: 2009-12-18.10:02:19
<target name="test2"
<script language="jython" setbeans="false">
<![CDATA[
import os
print os.path.exists(None)
]]>
</script>
</target>
msg5413 (view) Author: Nicholas Riley (nriley) Date: 2010-01-06.16:18:45
What OS is this?  (Looks like a problem with the JNA/JFFI code.)
msg5414 (view) Author: simon steiner (ssteiner) Date: 2010-01-06.16:19:36
Windows
msg5457 (view) Author: Timothy Farrell (tercero12) Date: 2010-01-27.14:19:33
Your <target> tag is not closed.  Is this on purpose?  If not, does that fix it?
msg5458 (view) Author: simon steiner (ssteiner) Date: 2010-01-27.14:21:56
No, that was a mistake is typing the example
msg5459 (view) Author: simon steiner (ssteiner) Date: 2010-01-27.14:29:51
#
# An unexpected error has been detected by Java Runtime Environment:
#
#  EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=0x77c47bc4, pid=5712, tid=1528
#
# Java VM: Java HotSpot(TM) Client VM (11.3-b02 mixed mode, sharing windows-x86)
# Problematic frame:
# C  [msvcrt.dll+0x37bc4]
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

---------------  T H R E A D  ---------------

Current thread (0x002b7800):  JavaThread "main" [_thread_in_native, id=1528, stack(0x008c0000,0x009e0000)]

siginfo: ExceptionCode=0xc0000005, reading address 0x00000000

Registers:
EAX=0x00000000, EBX=0x00000000, ECX=0x00000000, EDX=0x77c1135a
ESP=0x009dea28, EBP=0x009dea4c, ESI=0x00000000, EDI=0x00000000
EIP=0x77c47bc4, EFLAGS=0x00010246

Top of Stack: (sp=0x009dea28)
0x009dea28:   00000000 80000400 00000000 00000000
0x009dea38:   00000000 00000000 00000000 00000000
0x009dea48:   03a83408 009dea64 77c3286c 00000000
0x009dea58:   77c11358 03a83290 00000008 009dea78
0x009dea68:   77c328f9 03a83408 00000000 77c11358
0x009dea78:   009decf8 77c1fcce 00000000 77c11358
0x009dea88:   002b7800 009dee00 06a2ead8 00000000
0x009dea98:   00000000 00000000 00000001 06a38260 

Instructions: (pc=0x77c47bc4)
0x77c47bb4:   8a 02 0a c0 74 07 42 0f ab 04 24 eb f3 8b 75 08
0x77c47bc4:   8a 06 0a c0 74 0a 46 0f a3 04 24 73 f3 8d 46 ff 


Stack: [0x008c0000,0x009e0000],  sp=0x009dea28,  free space=1146k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [msvcrt.dll+0x37bc4]
C  [msvcrt.dll+0x2286c]
C  [msvcrt.dll+0x228f9]
C  [msvcrt.dll+0xfcce]
C  [jna1106603050313383391.tmp+0xda37]
C  [jna1106603050313383391.tmp+0x9182]
C  [jna1106603050313383391.tmp+0x2161]
C  [jna1106603050313383391.tmp+0x2849]
j  com.sun.jna.Function.invokeInt(I[Ljava/lang/Object;)I+0
j  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;+315
j  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;+194
j  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;+344
j  $Proxy0.stat(Ljava/lang/String;Lorg/python/posix/FileStat;)I+20
j  org.python.posix.BaseNativePOSIX.stat(Ljava/lang/String;)Lorg/python/posix/FileStat;+11
v  ~StubRoutines::call_stub

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  com.sun.jna.Function.invokeInt(I[Ljava/lang/Object;)I+0
j  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;+315
j  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;+194
j  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;+344
j  $Proxy0.stat(Ljava/lang/String;Lorg/python/posix/FileStat;)I+20
j  org.python.posix.BaseNativePOSIX.stat(Ljava/lang/String;)Lorg/python/posix/FileStat;+11
v  ~StubRoutines::call_stub
j  sun.reflect.NativeMethodAccessorImpl.invoke0(Ljava/lang/reflect/Method;Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;+0
j  sun.reflect.NativeMethodAccessorImpl.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;+87
j  sun.reflect.DelegatingMethodAccessorImpl.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;+6
j  java.lang.reflect.Method.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;+161
j  org.python.core.PyReflectedFunction.__call__(Lorg/python/core/PyObject;[Lorg/python/core/PyObject;[Ljava/lang/String;)Lorg/python/core/PyObject;+217
j  org.python.core.PyObject.__call__(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;[Lorg/python/core/PyObject;[Ljava/lang/String;)Lorg/python/core/PyObject;+5
j  org.python.core.PyMethod.__call__(Lorg/python/core/ThreadState;[Lorg/python/core/PyObject;[Ljava/lang/String;)Lorg/python/core/PyObject;+33
j  org.python.core.PyMethod.instancemethod___call__([Lorg/python/core/PyObject;[Ljava/lang/String;)Lorg/python/core/PyObject;+6
j  org.python.core.PyMethod.__call__([Lorg/python/core/PyObject;[Ljava/lang/String;)Lorg/python/core/PyObject;+3
j  org.python.core.PyObject.__call__(Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+12
j  org.python.core.PyObject.__call__(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+2
j  os$py.stat$38(Lorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+89
j  os$py.call_function(ILorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+540
j  org.python.core.PyTableCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyFrame;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+129
j  org.python.core.PyBaseCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;Lorg/python/core/PyObject;[Lorg/python/core/PyObject;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+94
j  org.python.core.PyFunction.__call__(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+18
j  ntpath$py.exists$16(Lorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+35
j  ntpath$py.call_function(ILorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+188
j  org.python.core.PyTableCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyFrame;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+129
j  org.python.core.PyBaseCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;Lorg/python/core/PyObject;[Lorg/python/core/PyObject;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+94
j  org.python.core.PyFunction.__call__(Lorg/python/core/ThreadState;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+18
j  org.python.pycode._pyx2.f$0(Lorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+28
j  org.python.pycode._pyx2.call_function(ILorg/python/core/PyFrame;Lorg/python/core/ThreadState;)Lorg/python/core/PyObject;+24
j  org.python.core.PyTableCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyFrame;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+129
j  org.python.core.PyCode.call(Lorg/python/core/ThreadState;Lorg/python/core/PyFrame;)Lorg/python/core/PyObject;+4
j  org.python.core.Py.runCode(Lorg/python/core/PyCode;Lorg/python/core/PyObject;Lorg/python/core/PyObject;)Lorg/python/core/PyObject;+97
j  org.python.core.Py.exec(Lorg/python/core/PyObject;Lorg/python/core/PyObject;Lorg/python/core/PyObject;)V+226
j  org.python.util.PythonInterpreter.exec(Lorg/python/core/PyObject;)V+13
j  org.python.util.InteractiveInterpreter.runcode(Lorg/python/core/PyObject;)V+2
j  org.python.util.InteractiveInterpreter.runsource(Ljava/lang/String;Ljava/lang/String;Lorg/python/core/CompileMode;)Z+83
j  org.python.util.InteractiveInterpreter.runsource(Ljava/lang/String;Ljava/lang/String;)Z+6
j  org.python.util.InteractiveConsole.push(Ljava/lang/String;)Z+41
j  org.python.util.InteractiveConsole.interact(Ljava/lang/String;Lorg/python/core/PyObject;)V+101
j  org.python.util.jython.run([Ljava/lang/String;)V+998
j  org.python.util.jython.main([Ljava/lang/String;)V+5
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x02d02800 JavaThread "Low Memory Detector" daemon [_thread_blocked, id=784, stack(0x032f0000,0x03410000)]
  0x02cfc400 JavaThread "CompilerThread0" daemon [_thread_blocked, id=3380, stack(0x032a0000,0x032f0000)]
  0x02cfac00 JavaThread "Attach Listener" daemon [_thread_blocked, id=4412, stack(0x03180000,0x032a0000)]
  0x02cf9800 JavaThread "Signal Dispatcher" daemon [_thread_blocked, id=2868, stack(0x03060000,0x03180000)]
  0x02cf1400 JavaThread "Finalizer" daemon [_thread_blocked, id=5388, stack(0x02f40000,0x03060000)]
  0x02cf0000 JavaThread "Reference Handler" daemon [_thread_blocked, id=5468, stack(0x02e20000,0x02f40000)]
=>0x002b7800 JavaThread "main" [_thread_in_native, id=1528, stack(0x008c0000,0x009e0000)]

Other Threads:
  0x02cee400 VMThread [stack: 0x02dd0000,0x02e20000] [id=1048]
  0x02d04800 WatcherThread [stack: 0x03410000,0x03460000] [id=4772]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 def new generation   total 960K, used 936K [0x06970000, 0x06a70000, 0x090d0000)
  eden space 896K,  97% used [0x06970000, 0x06a4a230, 0x06a50000)
  from space 64K, 100% used [0x06a50000, 0x06a60000, 0x06a60000)
  to   space 64K,   0% used [0x06a60000, 0x06a60000, 0x06a70000)
 tenured generation   total 8412K, used 5541K [0x090d0000, 0x09907000, 0x26970000)
   the space 8412K,  65% used [0x090d0000, 0x096394c0, 0x09639600, 0x09907000)
 compacting perm gen  total 12288K, used 10673K [0x26970000, 0x27570000, 0x2a970000)
   the space 12288K,  86% used [0x26970000, 0x273dc7b0, 0x273dc800, 0x27570000)
    ro space 8192K,  63% used [0x2a970000, 0x2ae88810, 0x2ae88a00, 0x2b170000)
    rw space 12288K,  53% used [0x2b170000, 0x2b7dd300, 0x2b7dd400, 0x2bd70000)

Dynamic libraries:
0x00400000 - 0x00424000 	C:\Program Files\Java\jre6\bin\java.exe
0x7c900000 - 0x7c9b2000 	C:\WINNT\system32\ntdll.dll
0x7c800000 - 0x7c8f6000 	C:\WINNT\system32\kernel32.dll
0x77dd0000 - 0x77e6b000 	C:\WINNT\system32\ADVAPI32.dll
0x77e70000 - 0x77f02000 	C:\WINNT\system32\RPCRT4.dll
0x77fe0000 - 0x77ff1000 	C:\WINNT\system32\Secur32.dll
0x7c340000 - 0x7c396000 	C:\Program Files\Java\jre6\bin\msvcr71.dll
0x6d800000 - 0x6da56000 	C:\Program Files\Java\jre6\bin\client\jvm.dll
0x7e410000 - 0x7e4a1000 	C:\WINNT\system32\USER32.dll
0x77f10000 - 0x77f59000 	C:\WINNT\system32\GDI32.dll
0x76b40000 - 0x76b6d000 	C:\WINNT\system32\WINMM.dll
0x6d290000 - 0x6d298000 	C:\Program Files\Java\jre6\bin\hpi.dll
0x76bf0000 - 0x76bfb000 	C:\WINNT\system32\PSAPI.DLL
0x6d7b0000 - 0x6d7bc000 	C:\Program Files\Java\jre6\bin\verify.dll
0x6d330000 - 0x6d34f000 	C:\Program Files\Java\jre6\bin\java.dll
0x6d7f0000 - 0x6d7ff000 	C:\Program Files\Java\jre6\bin\zip.dll
0x68000000 - 0x68036000 	C:\WINNT\system32\rsaenh.dll
0x77c10000 - 0x77c68000 	C:\WINNT\system32\msvcrt.dll
0x769c0000 - 0x76a74000 	C:\WINNT\system32\USERENV.dll
0x5b860000 - 0x5b8b5000 	C:\WINNT\system32\netapi32.dll
0x6d610000 - 0x6d623000 	C:\Program Files\Java\jre6\bin\net.dll
0x71ab0000 - 0x71ac7000 	C:\WINNT\system32\WS2_32.dll
0x71aa0000 - 0x71aa8000 	C:\WINNT\system32\WS2HELP.dll
0x71a50000 - 0x71a8f000 	C:\WINNT\System32\mswsock.dll
0x76f20000 - 0x76f47000 	C:\WINNT\system32\DNSAPI.dll
0x76fb0000 - 0x76fb8000 	C:\WINNT\System32\winrnr.dll
0x76f60000 - 0x76f8c000 	C:\WINNT\system32\WLDAP32.dll
0x76fc0000 - 0x76fc6000 	C:\WINNT\system32\rasadhlp.dll
0x03b20000 - 0x03b72000 	C:\Documents and Settings\ssteiner\Local Settings\Temp\jna1106603050313383391.tmp
0x03b80000 - 0x03b88000 	C:\Documents and Settings\ssteiner\Local Settings\Temp\jline_.dll

VM Arguments:
jvm_args: -Xmx512m -Xss1152k -Dpython.home=.. -Dpython.executable=C:\USERS\Installers\jython_installer-2.5.0\bin\jython.bat 
java_command: org.python.util.jython
Launcher Type: SUN_STANDARD

Environment Variables:
JAVA_HOME=C:\Program Files\Java\jre6
CLASSPATH=..\jython.jar;.;C:\Program Files\Java\jre1.6.0_03\lib\ext\QTJava.zip
PATH=C:\Python26\\Scripts;C:\Python26\;C:\Symbian\SITK;C:\Symbian\SITK\stat\bin;C:\Symbian\SITK\edgd\bin\;C:\Symbian\SITK\cbr;C:\Symbian\SITK\ucc\bin;C:\Symbian\SITK\testdriver;;c:\apps\actperl\bin\;c:\apps\rvct22_593\bin;\epoc32\tools;\epoc32\gcc\bin;c:\apps\ct\bin;c:\apps\ue;c:\apps\ccm65\bin;c:\apps\symdec;c:\apps\engtools\testdriver2;c:\winnt\system32;c:\winnt\system32\wbem;c:\program files\intel\wireless\bin;c:\apps\ant\bin;c:\program files\subversion\bin;c:\program files\nokia\fasttrace;c:\program files\quicktime\qtsystem\;c:\apps\cltools;c:\apps\bc;c:\apps\symrec;c:\apps\gracecli\bin;c:\apps\wget;c:\apps\ant_1.7\bin;c:\apps\j2sdk_1.6.0_02;c:\apps\unzip;c:\apps\7zip;c:\program files\perforce;c:\program files\mercurial;c:\program files\jprobe 8.1\bin;c:\program files\mysql\mysql server 4.1\bin;c:\program files\sliksvn\bin\;c:\program files\tortoisesvn\bin;APPDATA\Python\Scripts;C:\APPS\j2sdk_1.6.0_02\bin;C:\Users\UnxUtils\usr\local\wbin;C:\apps\msvc6\Common\Tools\WinNT;C:\apps\msvc6\Common\MSDev98\Bin;C:\apps\msvc6\Common\Tools;C:\apps\msvc6\VC98\bin;C:\Program Files\Google\google_appengine\
USERNAME=ssteiner
OS=Windows_NT
PROCESSOR_IDENTIFIER=x86 Family 15 Model 6 Stepping 5, GenuineIntel



---------------  S Y S T E M  ---------------

OS: Windows XP Build 2600 Service Pack 3

CPU:total 2 (2 cores per cpu, 1 threads per core) family 15 model 6 stepping 5, cmov, cx8, fxsr, mmx, sse, sse2, sse3

Memory: 4k page, physical 2086440k(1008684k free), swap 1933488k(921864k free)

vm_info: Java HotSpot(TM) Client VM (11.3-b02) for windows-x86 JRE (1.6.0_13-b03), built on Mar  9 2009 01:15:24 by "java_re" with MS VC++ 7.1

time: Wed Jan 27 14:29:19 2010
elapsed time: 19 seconds
msg5632 (view) Author: Philip Jenvey (pjenvey) Date: 2010-04-04.19:07:54
I'm going to assume this was due to passing None ultimately to stat. This should be fixed with the recent changes to the posix module. stat should now rejects None as input because it's not a string
History
Date User Action Args
2010-04-04 19:07:54pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5632
nosy: + pjenvey
2010-01-27 14:29:55ssteinersetmessages: + msg5459
2010-01-27 14:21:56ssteinersetmessages: + msg5458
2010-01-27 14:19:34tercero12setnosy: + tercero12
messages: + msg5457
2010-01-06 16:19:36ssteinersetmessages: + msg5414
2010-01-06 16:18:45nrileysetnosy: + nriley
messages: + msg5413
2009-12-18 10:02:19ssteinercreate